Skip to main content

GET

PathDescriptionEst. CU
direct/v1/Mempool/v1/difficulty-adjustmentReturns details about difficulty adjustment.2000
direct/v1/Mempool/v1/pricesReturns bitcoin latest price denominated in main currencies.2000
direct/v1/Mempool/v1/historical-priceReturns bitcoin historical price denominated in main currencies. Available query parameters: currency, timestamp. If no parameter is provided, the full price history for all currencies is returned.2000
direct/v1/Mempool/address/Returns details about an address. Available fields: address, chain_stats, and mempool_stats. chain_stats and mempool_stats each contain an object with tx_count, funded_txo_count, funded_txo_sum, spent_txo_count, and spent_txo_sum.2000
direct/v1/Mempool/address//txsGet transaction history for the specified address/scripthash, sorted with newest first. Returns up to 50 mempool transactions plus the first 25 confirmed transactions. You can request more confirmed transactions using an after_txid query parameter.2000
direct/v1/Mempool/address//txs/chainGet confirmed transaction history for the specified address/scripthash, sorted with newest first. Returns 25 transactions per page. More can be requested by specifying the last txid seen by the previous query.2000
direct/v1/Mempool/address//txs/mempoolGet unconfirmed transaction history for the specified address/scripthash. Returns up to 50 transactions (no paging).2000
direct/v1/Mempool/address//utxoGet the list of unspent transaction outputs associated with the address/scripthash. Available fields: txid, vout, value, and status (with the status of the funding tx).2000
direct/v1/Mempool/v1/validate-address/Returns whether an address is valid or not. Available fields: isvalid (boolean), address (string), scriptPubKey (string), isscript (boolean), iswitness (boolean), witness_version (numeric, optional), and witness_program (string, optional).2000
direct/v1/Mempool/block/Returns details about a block.2000
direct/v1/Mempool/block//headerReturns the hex-encoded block header.2000
direct/v1/Mempool/block-height/Returns the hash of the block currently at :height.2000
direct/v1/Mempool/v1/mining/blocks/timestamp
/
Returns the height and the hash of the block closest to the given :timestamp.2000
direct/v1/Mempool/block//rawReturns the raw block representation in binary.2000
direct/v1/Mempool/block//statusReturns the confirmation status of a block. Available fields: in_best_chain (boolean, false for orphaned blocks), next_best (the hash of the next block, only available for blocks in the best chain).2000
direct/v1/Mempool/blocks/tip/heightReturns the height of the last block.2000
direct/v1/Mempool/blocks/tip/hashReturns the hash of the last block.2000
direct/v1/Mempool/block//txid/Returns the transaction at index :index within the specified block.2000
direct/v1/Mempool/block//txidsReturns a list of all txids in the block.2000
direct/v1/Mempool/block//txsReturns a list of transactions in the block (up to 25 transactions beginning at start_index). Transactions returned here do not have the status field, since all the transactions share the same block and confirmation status.2000
direct/v1/Mempool/v1/blocks/Returns details on the past 15 blocks with fee and mining details in an extras field. If :startHeight is specified, the past 15 blocks before (and including) :startHeight are returned.2000
direct/v1/Mempool/v1/blocks-bulk/
/
Returns details on the range of blocks between :minHeight and :maxHeight, inclusive, up to 10 blocks. If :maxHeight is not specified, it defaults to the current tip.To return data for more than 10 blocks, consider becoming an enterprise sponsor.2000
direct/v1/Mempool/v1/mining/pools/Returns a list of all known mining pools ordered by blocks found over the specified trailing :timePeriod.Leave :timePeriod unspecified to get all available data, or specify one of the following values: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.2000
direct/v1/Mempool/v1/mining/pool/Returns details about the mining pool specified by :slug.2000
direct/v1/Mempool/v1/mining/hashrate/pools
/
Returns average hashrates (and share of total hashrate) of mining pools active in the specified trailing :timePeriod, in descending order of hashrate.Leave :timePeriod unspecified to get all available data, or specify any of the following time periods: 1m, 3m, 6m, 1y, 2y, 3y.2000
direct/v1/Mempool/v1/mining/pool//hashrateReturns all known hashrate data for the mining pool specified by :slug. Hashrate values are weekly averages.2000
direct/v1/Mempool/v1/mining/pool/luxor/blocks
/
Returns past 10 blocks mined by the specified mining pool (:slug) before the specified :blockHeight. If no :blockHeight is specified, the mining pool’s 10 most recent blocks are returned.2000
direct/v1/Mempool/v1/mining/hashrate
/
Returns network-wide hashrate and difficulty figures over the specified trailing :timePeriod:Current (real-time) hashrateCurrent (real-time) difficultyHistorical daily average hashratesHistorical difficultyValid values for :timePeriod are 1m, 3m, 6m, 1y, 2y, 3y. If no time interval is specified, all available data is returned.Be sure that INDEXING_BLOCKS_AMOUNT is set properly in your backend config so that enough blocks are indexed to properly serve your request.2000
direct/v1/Mempool/v1/mining
/difficulty-adjustments/
Returns the record of difficulty adjustments over the specified trailing :interval:Block timestampBlock heightDifficultyDifficulty changeIf no time interval is specified, all available data is returned.2000
direct/v1/Mempool/v1/mining/reward-stats
/
Returns block reward and total transactions confirmed for the past :blockCount blocks.2000
direct/v1/Mempool/v1/mining/blocks/fees
/
Returns average total fees for blocks in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.For 24h and 3d time periods, every block is included and fee amounts are exact (not averages). For the 1w time period, fees may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, fees are averages.2000
direct/v1/Mempool/v1/mining/blocks/rewards
/
Returns average block rewards for blocks in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.For 24h and 3d time periods, every block is included and block rewards are exact (not averages). For the 1w time period, block rewards may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, block rewards are averages.2000
direct/v1/Mempool/v1/mining/blocks/fee-rates
/
Returns average feerate percentiles for blocks in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.For 24h and 3d time periods, every block is included and percentiles are exact (not averages). For the 1w time period, percentiles may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, percentiles are averages.2000
direct/v1/Mempool/v1/mining/blocks/sizes-weights
/
Returns average size (bytes) and average weight (weight units) for blocks in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.For 24h and 3d time periods, every block is included and figures are exact (not averages). For the 1w time period, figures may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, figures are averages.2000
direct/v1/Mempool/v1/mining/blocks/predictions
/
Returns average block health in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.For 24h and 3d time periods, every block is included and figures are exact (not averages). For the 1w time period, figures may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, figures are averages.2000
direct/v1/Mempool/v1/mining/blocks/audit/score
/
Returns the block audit score for the specified :blockHash. Available fields: hash, matchRate, expectedFees, and expectedWeight.2000
direct/v1/Mempool/v1/mining/blocks/audit/scores
/
Returns blocks audit score for the past 16 blocks. If :startHeight is specified, the past 15 blocks before (and including) :startHeight are returned. Available fields: hash, matchRate, expectedFees, and expectedWeight.2000
direct/v1/Mempool/v1/block/
/audit-summary
Returns the block audit summary for the specified :blockHash. Available fields: height, id, timestamp, template, missingTxs, addedTxs, freshTxs, sigopTxs, fullrbfTxs, acceleratedTxs, matchRate, expectedFees, and expectedWeight.2000
direct/v1/Mempool/v1/fees/mempool-blocksReturns current mempool as projected blocks.2000
direct/v1/Mempool/v1/fees/recommendedReturns our currently suggested fees for new transactions.2000
direct/v1/Mempool/mempoolReturns current mempool backlog statistics.2000
direct/v1/Mempool/mempool/txidsGet the full list of txids in the mempool as an array. The order of the txids is arbitrary and does not match bitcoind.2000
direct/v1/Mempool/mempool/recentGet a list of the last 10 transactions to enter the mempool. Each transaction object contains simplified overview data, with the following fields: txid, fee, vsize, and value.2000
direct/v1/Mempool/v1/replacementsReturns the list of mempool transactions that are part of a RBF chain.2000
direct/v1/Mempool/v1/fullrbf/replacementsReturns the list of mempool transactions that are part of a Full-RBF chain.2000
direct/v1/Mempool/v1/cpfpReturns the ancestors and the best descendant fees for a transaction.2000
direct/v1/Mempool/tx/Returns details about a transaction. Available fields: txid, version, locktime, size, weight, fee, vin, vout, and status.2000
direct/v1/Mempool/tx//hexReturns a transaction serialized as hex.2000
direct/v1/Mempool/tx//merkleblock-proofReturns a merkle inclusion proof for the transaction using bitcoind’s merkleblock format.2000
direct/v1/Mempool/tx//merkle-proofReturns a merkle inclusion proof for the transaction using Electrum’s blockchain.transaction.get_merkle format.2000
direct/v1/Mempool/tx//outspend/Returns the spending status of a transaction output. Available fields: spent (boolean), txid (optional), vin (optional), and status (optional, the status of the spending tx).2000
direct/v1/Mempool/tx//outspendsReturns the spending status of all transaction outputs.2000
direct/v1/Mempool/tx//rawReturns a transaction as binary data.2000
direct/v1/Mempool/v1/tx//rbfReturns the RBF tree timeline of a transaction.2000
direct/v1/Mempool/tx//statusReturns the confirmation status of a transaction. Available fields: confirmed (boolean), block_height (optional), and block_hash (optional).2000
direct/v1/Mempool/v1/transaction-timesReturns the timestamps when a list of unconfirmed transactions was initially observed in the mempool. If a transaction is not found in the mempool or has been mined, the timestamp will be 0.2000
direct/v1/Mempool/v1/lightning/statistics
/
Returns network-wide stats such as total number of channels and nodes, total capacity, and average/median fee figures.Pass one of the following for :interval: latest, 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.2000
direct/v1/Mempool/v1/lightning/searchReturns Lightning nodes and channels that match a full-text, case-insensitive search :query across node aliases, node pubkeys, channel IDs, and short channel IDs.2000
direct/v1/Mempool/v1/lightning/nodes/country
/
Returns a list of Lightning nodes running on clearnet in the requested :country, where :country is an ISO Alpha-2 country code.2000
direct/v1/Mempool/v1/lightning/nodes/countriesReturns aggregate capacity and number of clearnet nodes per country. Capacity figures are in satoshis.2000
direct/v1/Mempool/v1/lightning/nodes/isp/Returns a list of nodes hosted by a specified :isp, where :isp is an ISP’s ASN.2000
direct/v1/Mempool/v1/lightning/nodes/isp-rankingReturns aggregate capacity, number of nodes, and number of channels per ISP. Capacity figures are in satoshis.2000
direct/v1/Mempool/v1/lightning/nodes/rankingsReturns two lists of the top 100 nodes: one ordered by liquidity (aggregate channel capacity) and the other ordered by connectivity (number of open channels).2000
direct/v1/Mempool/v1/lightning/nodes/rankings
/liquidity
Returns a list of the top 100 nodes by liquidity (aggregate channel capacity).2000
direct/v1/Mempool/v1/lightning/nodes/rankings
/connectivity
Returns a list of the top 100 nodes by connectivity (number of open channels).2000
direct/v1/Mempool/v1/lightning/nodes/rankings
/age
Returns a list of the top 100 oldest nodes.2000
direct/v1/Mempool/v1/lightning/nodes/Returns details about a node with the given :pubKey.2000
direct/v1/Mempool/v1/lightning/nodes/
/statistics
Returns historical stats for a node with the given :pubKey.2000
direct/v1/Mempool/v1/lightning/channels
/
Returns info about a Lightning channel with the given :channelId.2000
direct/v1/Mempool/v1/lightning/channels/txidsReturns channels that correspond to the given :txid (multiple transaction IDs can be specified).2000
direct/v1/Mempool/v1/lightning/channelsReturns a list of a node’s channels given its :pubKey. Ten channels are returned at a time. Use :index for paging. :channelStatus can be open, active, or closed.2000
direct/v1/Mempool/v1/lightning/channels-geoReturns a list of channels with corresponding node geodata.2000
direct/v1/Mempool/v1/lightning/channels-geo
/
Returns a list of channels with corresponding geodata for a node with the given :pubKey.2000
direct/v1/Mempool/v1/services/accelerator
/accelerations
Returns all transactions currently being accelerated.2000
direct/v1/Mempool/v1/services/accelerator
/accelerations/history
Returns all past accelerated transactions. Filters can be applied: status: all, requested, accelerating, mined, completed, failed timeframe: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y, 4y, all minedByPoolUniqueId: any id from pools-v2.json blockHash: a block hash blockHeight: a block height page: the requested page number if using pagination (min: 1) pageLength: the page lenght if using pagination (min: 1, max: 50) from: unix timestamp (overrides timeframe) to: unix timestamp (overrides timeframe)2000
direct/v1/Mempool/v1/services/accelerator
/top-up-history
Returns a list of top ups the user has made as prepayment for the accelerator service.2000
direct/v1/Mempool/v1/services/accelerator
/balance
Returns the user’s currently available balance, currently locked funds, and total fees paid so far.2000
direct/v1/Mempool/v1/services/accelerator
/history
Returns the user’s past acceleration requests.Pass one of the following for :status (required): all, requested, accelerating, mined, completed, failed.Pass true in :details to get a detailed history of the acceleration request.2000

POST

PathDescriptionEst. CU
direct/v1/Mempool/txBroadcast a raw transaction to the network. The transaction should be provided as hex in the request body. The txid will be returned on success.2000
direct/v1/Mempool/v1/services/accelerator
/estimate
Returns estimated costs to accelerate a transaction. Optionally set the X-Mempool-Auth header to get customized estimation.2000
direct/v1/Mempool/v1/services/payments/bitcoinRequest a LN invoice to accelerate a transaction.2000
direct/v1/Mempool/v1/services/accelerator
/accelerate
Sends a request to accelerate a transaction.2000
direct/v1/Mempool/v1/services/accelerator/cancelSends a request to cancel an acceleration in the accelerating status.You can retreive eligible acceleration id using the history endpoint GET /api/v1/services/accelerator/history?status=accelerating.2000